Bug 98798 - MAILMERGE: Mail Merge Wizard should only leave MM toolbar visible, when finished, but not when canceled (summary in Comment 4)
Summary: MAILMERGE: Mail Merge Wizard should only leave MM toolbar visible, when finis...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-03-21 12:33 UTC by Cor Nouws
Modified: 2016-10-25 18:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2016-03-21 12:33:53 UTC
Version: 5.2.0.0.alpha0+
Build ID: b86b97e54590872fc0ea85fbea22c2d00d241181
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-03-19_00:48:09
Locale: nl-NL (nl_NL.UTF-8)

1. New Writer document
2. Start Tools > Mail Merge Wizard
3. Cancel the Wizard without doing anything there

 > There still is an empty document without data base fields..
   However the buttons Save and Print merged and Send E-mail can be used and
   start a merge..
Comment 1 raal 2016-03-23 11:50:38 UTC
I can confirm with Version: 5.2.0.0.alpha0+

This seems to have begun at the below commit.
Adding Cc: to Jan Holesovsky ; Could you possibly take a look at this one? Thanks

df9aeab742d6951cfc6a5525a900861112a77bae is the first bad commit
commit df9aeab742d6951cfc6a5525a900861112a77bae
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sat Mar 19 13:16:05 2016 -0700

    source sha:827ff2e8531619e96666a5690f538a0a27e5780f

    source sha:827ff2e8531619e96666a5690f538a0a27e5780f

:040000 040000 77654fd73ed2adc8d97c940146e0ac312d5691ba 4f336e50f0a94c6d849174d645e5561681c872a2 M      instdir


author	Jan Holesovsky <kendy@collabora.com>	2015-12-18 20:19:10 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-03-18 08:13:56 (GMT)
commit	827ff2e8531619e96666a5690f538a0a27e5780f (patch)
tree	0472e3a2be1e81bc4f8f87e4f9b8462b85567f3c
parent	299cc331bebe951b8b6fcfdd1e279ce6d2123ece (diff)
mailmerge: Introduce buttons for first/prev/next/last mailmerge entry.
Comment 2 Robinson Tryon (qubit) 2016-05-12 00:34:44 UTC
TESTING with
LO 5.2.0.0.alpha1+
OS Version: Mac OS X 10.10.5
Build: 2016-05-11_01:01:27

(In reply to Cor Nouws from comment #0)
> 1. New Writer document
> 2. Start Tools > Mail Merge Wizard
> 3. Cancel the Wizard without doing anything there
> 
>  > There still is an empty document without data base fields..
>    However the buttons Save and Print merged and Send E-mail can be used and
>    start a merge..

CONFIRMED
Still present in daily master.
Comment 3 Robinson Tryon (qubit) 2016-07-07 13:39:53 UTC
TESTING with
LO 5.2.0.2
OS Version: Mac OS X 10.10.5

> (In reply to Cor Nouws from comment #0)
> > 1. New Writer document
> > 2. Start Tools > Mail Merge Wizard
> > 3. Cancel the Wizard without doing anything there
> > 
> >  > There still is an empty document without data base fields..
> >    However the buttons Save and Print merged and Send E-mail can be used and
> >    start a merge..
> 

CONFIRMED
Still present in latest 5.2 build.
Comment 4 Björn Michaelsen 2016-07-21 07:51:49 UTC
Updated summary:
Starting the mailmerge wizard displays the MM toolbar if it wasnt before, and should leave it open when the wizard is successfully finished. When the wizard is canceled, it should reset the MM toolbar to whatever state it was in before the attempted merge.
Comment 5 Björn Michaelsen 2016-07-21 07:56:43 UTC
https://gerrit.libreoffice.org/#/c/27359/
Comment 6 Commit Notification 2016-07-21 09:38:36 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20245ba9755e1c0199359c3462eff974f33c1bec

tdf#98798: MM Wizard should not leave MM toolbar visible when canceled

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-07-21 14:28:06 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=56bba2d5e2de7693db3a523e951dc1852c870758&h=libreoffice-5-2

tdf#98798: MM Wizard should not leave MM toolbar visible when canceled

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.